// SLLogListener.h : Declaration of the CSLLogListener

#pragma once
#include "resource.h"       // main symbols

#include "SLLogToDebugDll_i.h"




// CSLLogListener

class ATL_NO_VTABLE CSLLogListener :
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CSLLogListener, &CLSID_SLLogListener>,
	public IDispatchImpl<ISLLogListener, &IID_ISLLogListener, &LIBID_SLLogToDebugDllLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CSLLogListener()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_SLLOGLISTENER)

DECLARE_NOT_AGGREGATABLE(CSLLogListener)

BEGIN_COM_MAP(CSLLogListener)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()



	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}

	void FinalRelease()
	{
	}

public:
  STDMETHOD(Log)(LONGLONG UtcTime, BSTR Owner, BSTR Source, BSTR Type, BSTR Message)
  {
    return S_OK;
  }
};

OBJECT_ENTRY_AUTO(__uuidof(SLLogListener), CSLLogListener)
